---
schema_version: "1"
id: 9c8db9095c2f179ac0969b3b0db9303813ddc42a595d82cf32870d64725eb260
title: Get Global Actions
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_global.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_global.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: e3fb1a19d6ed756adf7f3f90e076502e3769416704a5964e6ee2db61e3127837
description: Get the actions in the Global Actions menu.
---
# Get Global Actions

Get the actions in the Global Actions menu.

Resource

/ui-api/actions/global

Available Version

41.0

HTTP Method

GET

Example

As an example, let’s say we have a **New Opportunity** global action, among other actions. To get information about global actions, make this request:

GET /services/data/v68.0/ui-api/actions/global

The request returns a list of global actions, including **New Opportunity**, and the URLs of the request and subrequests.

{
  "actions" : {
    "001R0000003IDlwIAG" : {
        "actionListContext" : "Global",
        "actionTarget" : "/services/data/v41.0/quickActions/NewOpportunity/describe",
        "actionTargetType" : "Describe",
        "apiName" : "NewOpportunity",
        "externalId" : "00DR00000008n7M:Global::Global:Phone:09DR00000000Snl",
        "iconUrl" : "https://yourInstance.salesforce.com/img/icon/t4v35/action/new\_opportunity\_120.png",
        "id" : "0JVR00000000030OAA",
        "isMassAction" : "false",
        "label" : "New Opportunity",
        "primaryColor" : "FCB95B",
        "relatedListRecordId" : null,
        "relatedSourceObject" : null,
        "section" : "Page",
        "sourceObject" : "Global",
        "subtype" : "Create",
        "targetObject" : "Opportunity",
        "targetUrl" : null,
        "type" : "QuickAction"
      }

... Additional actions removed for brevity ...

\],
      "links" : \[ \],
      "url" : "/services/data/v41.0/ui-api/actions/global"
    }
  },
  "url" : "/services/data/v41.0/ui-api/actions/global"
}

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d45894e121">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d45894e124">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d45894e127">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d45894e130">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d45894e133">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d45894e121" data-title="Parameter Name"><samp class="codeph nolang">actionTypes</samp></td>

                  <td class="entry" headers="d45894e124" data-title="Type">String[]</td>

                  <td class="entry" headers="d45894e127" data-title="Description">
                    <p class="p">The action type. One or more of these values: </p>

                    <ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">CustomButton</samp>—A button that opens a
                        URL or Visualforce page or executes JavaScript.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">ProductivityAction</samp>—A pre-defined
                        Salesforce action, attached to a limited set of objects.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">QuickAction</samp>—A global or
                        object-specific action.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">StandardButton</samp>—A pre-defined
                        Salesforce button, such as <strong class="ph uicontrol">New</strong>,
                        <strong class="ph uicontrol">Edit</strong>, and <strong class="ph uicontrol">Delete</strong>.
                      </li>

                    </ul>

                  </td>

                  <td class="entry" headers="d45894e130" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d45894e133" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d45894e121" data-title="Parameter Name"><samp class="codeph nolang">apiNames</samp></td>

                  <td class="entry" headers="d45894e124" data-title="Type">String[]</td>

                  <td class="entry" headers="d45894e127" data-title="Description">The API names of one or more actions to be retrieved. Use this parameter
                    only when passing <samp class="codeph nolang">retrievalMode=All</samp>. </td>

                  <td class="entry" headers="d45894e130" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d45894e133" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d45894e121" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d45894e124" data-title="Type">String</td>

                  <td class="entry" headers="d45894e127" data-title="Description">The layout display size. One of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—(Default) Use this value to
                        get a layout for desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—Use this value to get a
                        layout for tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—Use this value to get a
                        layout for phone display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d45894e130" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d45894e133" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d45894e121" data-title="Parameter Name"><samp class="codeph nolang">retrievalMode</samp></td>

                  <td class="entry" headers="d45894e124" data-title="Type">String</td>

                  <td class="entry" headers="d45894e127" data-title="Description">When the action context is <samp class="codeph nolang">Record</samp>,
                    this parameter indicates which actions to retrieve from the record page. One
                    of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">All</samp>—Retrieves all actions specified
                        in the <samp class="codeph nolang">apiNames</samp> parameter.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">PageLayout</samp>—(Default) Retrieves
                        actions from the page layout.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d45894e130" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d45894e133" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d45894e121" data-title="Parameter Name"><samp class="codeph nolang">sections</samp></td>

                  <td class="entry" headers="d45894e124" data-title="Type">String[]</td>

                  <td class="entry" headers="d45894e127" data-title="Description">The section of the user interface that the actions reside in. One or more
                    of these values: <ul class="ul bulletList">
                      <li class="li"><samp class="codeph nolang">ActivityComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">CollaborateComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">Page</samp></li>

                      <li class="li"><samp class="codeph nolang">SingleActionLinks</samp></li>

                    </ul>

                  </td>

                  <td class="entry" headers="d45894e130" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d45894e133" data-title="Available Version">41.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[Action](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_action.htm#ui_api_responses_action "The actions for a single record or a collection of records.")